
package com.jeelowcode.core.framework.service;

import com.jeelowcode.core.framework.entity.JeeLowCodeConfigEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 低代码平台-框架配置
 */
public interface IJeeLowCodeConfigService  extends IService<JeeLowCodeConfigEntity> {

    /**
     * 获取自定义按钮控件
     * @return  key=a_key  value=ADefinableButton
     */
    Map<String,String> getBtnCommandConfig();

    Map<String,String> getEnhanceCodeConfig();

    //获取Excel保留天数
    Integer getExcelFileDataDay();
}
